import UIKit

class TicketCell: UITableViewCell {

    @IBOutlet private weak var ownerLabel: UILabel!
    @IBOutlet private weak var movieLabel: UILabel!
    @IBOutlet private weak var ticketsLabel: UILabel!

    func update(with customer: Customer) {
        ownerLabel.text = customer.name

        if let ticket = customer.ticket {
            movieLabel.text = ticket.movie
            ticketsLabel.text = "\(ticket.seatsCount) x tickets"
        } else {
            movieLabel.text = ""
            ticketsLabel.text = "no tickets"
        }
    }
}
